version: '3.5'

services:
  digital-map-back:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: digital-map-back
    ports:
      - '3006:3006'
    volumes:
      - ./src:/app/src
  minio:
    image: quay.io/minio/minio:RELEASE.2022-02-18T01-50-10Z
    volumes:
      - ./data:/data
    ports:
      - 9000:9000
      - 9001:9001
    environment:
      MINIO_ROOT_USER: 'minio_user'
      MINIO_ROOT_PASSWORD: 'minio_password'
      MINIO_ADDRESS: ':9000'
      MINIO_CONSOLE_ADDRESS: ':9001'
    command: minio server /data
